/********************/
/*  START :: Forms  */
/********************/

.wpforms-container {
    --form-btn-background: var(--Teal);
    --form-btn-text: var(--Text-Black);
    --form-label: var(--white);
    --form-text: var(--Text-Black);
    --form-accent: var(--Orange);
    --secondary-light: #DDD;
    --checkbox-check: var(--Text-Black);
    --checkbox-fill: var(--white);
    --checkbox-stroke: var(--Orange);
    --checkbox-label: var(--white);
    --wpforms-button-background-color: var(--form-accent);
    --wpforms-field-size-input-spacing: 4px;
    --form-success-color: var(--white);
    --form-success-background-color: transparent;
    --form-error-color: var(--brand-selection-text);
    --form-error-background-color: var(--brand-selection-bkg);
}

/*********fire fox*********/
@supports (-moz-transform: translate(0, 0)) {
    div.wpforms-container-full .wpforms-form input[type=checkbox], div.wpforms-container-full .wpforms-form input[type=radio] {
        position: unset;
        cursor: unset;
        height: unset;
        width: unset;
        border: unset;
    }
    div.wpforms-container-full .wpforms-form input[type=checkbox]:checked{
        background-color:var(--form-text);
    }
    div.wpforms-container-full .wpforms-form .wpforms-field-label-inline{
        padding-left:0!important;
    }
}
/********* iphone: safari / firefox *********/
@media screen and (-webkit-min-device-pixel-ratio:0) {
    div.wpforms-container-full .wpforms-form input[type=checkbox], div.wpforms-container-full .wpforms-form input[type=radio] {
        height: 25px;
        border: 1000px;
    }
    div.wpforms-container-full .wpforms-form input[type=checkbox]::after {
        left:-2px;
    }
    div.wpforms-container-full .wpforms-form input[type=radio]{
        top:3px;
    }
    div.wpforms-container-full .wpforms-form input[type=radio]::after{
        top:-3px;
    }
    html.firefox div.wpforms-container-full .wpforms-form input[type=radio]{
        top:6px;
        left:6px;
    }
    html.firefox div.wpforms-container-full .wpforms-form input[type=checkbox]{
        top: 8px;
        left: -3px;
    }
}

/***********/
/* WPForms */
/***********/
#rsvp div.wpforms-container-full {
    margin: 0 !important;
}

.wpforms-container .wpforms-form input[type=date], 
.wpforms-container .wpforms-form input[type=datetime], 
.wpforms-container .wpforms-form input[type=datetime-local], 
.wpforms-container .wpforms-form input[type=email], 
.wpforms-container .wpforms-form input[type=month], 
.wpforms-container .wpforms-form input[type=number], 
.wpforms-container .wpforms-form input[type=password], 
.wpforms-container .wpforms-form input[type=range], 
.wpforms-container .wpforms-form input[type=search], 
.wpforms-container .wpforms-form input[type=tel], 
.wpforms-container .wpforms-form input[type=text], 
.wpforms-container .wpforms-form input[type=time], 
.wpforms-container .wpforms-form input[type=url], 
.wpforms-container .wpforms-form input[type=week], 
.wpforms-container .wpforms-form select, 
.wpforms-container .wpforms-form textarea {
    border: 1px solid var(--secondary-light);
    border-radius: 8px;
    padding: 16px ;
    height: initial !important;
    width: 100%;
}


/* Section titles */
div.wpforms-container-full .wpforms-form .wpforms-field-label {
    font-family: var(--font-content);
    font-weight: 800;
    font-size: 18px;
    font-size: 1.13rem;
    line-height: 29px;
    line-height: 1.81rem;
    margin-bottom: 8px;
}


/* Remove asterisk from required fields */
div.wpforms-container-full .wpforms-form .wpforms-required-label {
    /* display: none; */
    color:var(--form-btn-background);
}

div.wpforms-container-full .wpforms-form .wpforms-field,
div.wpforms-container-full .wpforms-form .wpforms-submit-container {
    padding: 0;
    margin: 0;
}
div.wpforms-container-full .wpforms-form .wpforms-submit-container {
    margin: 0 !important;   
}
/* extra margin for newsletter consent checkbox, to visually separate from preceding checkbox list */
div.wpforms-container-full .wpforms-form .wpforms-field.newsletter-consent {
    margin-top: 36px; 
}

/* Text fields */
div.wpforms-container-full .wpforms-form input[type=text],
div.wpforms-container-full .wpforms-form input[type=email],
div.wpforms-container-full .wpforms-form input[type=tel],
div.wpforms-container-full .wpforms-form textarea {
    border-radius: 8px;
    border: 1px solid var(--secondary-light);
    color: var(--form-text);
    font-family: var(--font-content);
    font-size: 1.13rem;
    font-size: 18px;
    font-weight: 400;
    line-height: 1.81rem;
    line-height: 29px;
    min-width: 100%;
    padding: 16px;
    resize: none;
}
div.wpforms-container-full .wpforms-form input[type=text]:focus,
div.wpforms-container-full .wpforms-form input[type=email]:focus,
div.wpforms-container-full .wpforms-form input[type=tel]:focus,
div.wpforms-container-full .wpforms-form textarea:focus {
    color: var(--form-text);
}

div.wpforms-container-full .wpforms-form input[type=text]:focus-visible,
div.wpforms-container-full .wpforms-form input[type=email]:focus-visible,
div.wpforms-container-full .wpforms-form input[type=tel]:focus-visible,
div.wpforms-container-full .wpforms-form textarea:focus-visible {
    border-color: var(--wpforms-button-background-color);
    box-shadow: 0 0 0 1px var(--wpforms-button-background-color), 0px 1px 2px rgba(0, 0, 0, 0.15);
}
div.wpforms-container-full .wpforms-form textarea {
    min-height: 210px;
}

div.wpforms-container-full .wpforms-form input::placeholder,
div.wpforms-container-full .wpforms-form textarea::placeholder {
    font-family: var(--font-content);
    font-weight: 400;
    font-size: 18px;
    font-size: 1.13rem;
    line-height: 29px;
    line-height: 1.81rem;
    color: var(--form-text);
}

/* Padding for each section */
div.wpforms-container-full .wpforms-form .wpforms-field:not(:last-of-type) {
    margin-bottom: 26px;
}
/* Error Message */
.fl-content .fl-module form div.wpforms-field-checkbox label.wpforms-error {
    position: absolute;
    font-family: var(--font-content);
    margin-left: 40px;
    transform: translateY(-5px);
}

.fl-content .fl-module form div:not(.wpforms-field-checkbox) label.wpforms-error {
    /* color: var(--form-error-color) */
    color: #990000 !important; /* reset for accessibility, was overridden by row's text color */
    font-family: var(--font-content);
    font-weight: 400;
    position: absolute;
}
.fl-content .fl-module form div input.wpforms-error {
    /* border: 1px solid var(--form-error-color); */
}
div.wpforms-container-full .wpforms-form .wpforms-error-container,
div.wpforms-container-full .wpforms-form em.wpforms-error {
    background-color: var(--form-error-background-color);
    color: var(--form-error-color) !important;
    padding-inline: 10px;
} 
div.wpforms-container-full .wpforms-form .wpforms-error-container p {
    color: var(--form-error-color) !important;
}
div.wpforms-container-full .wpforms-form em.wpforms-error:before {
    background-color: var(--form-error-color) !important;
}

/*==============
  Radio/Checkbox
===============*/

/* Labels */
div.wpforms-container-full .wpforms-form .wpforms-field-label-inline {
    color: var(--checkbox-label);
    display: inline-block;
    font-family: var(--font-content);
    font-size: 18px;
    font-size: 1.13rem;
    font-weight: 400;
    line-height: 29px;
    line-height: 1.81rem;
    padding: 8px 0 0 44px;
}

/* Padding between items */
.fl-post div.wpforms-container-full .wpforms-form ul li:not(:last-of-type),
.fl-post div.wpforms-container-full .wpforms-form div.last-of-type-exception ul li {
    margin-bottom: 0 !important;
    height: 100%;
}

div.wpforms-container-full .wpforms-form ul li {
    display: block;
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide default input */
div.wpforms-container-full .wpforms-form input[type=checkbox],
div.wpforms-container-full .wpforms-form input[type=radio] {
    border: 0px;
    cursor: pointer;
    height: 22px;
    left: 0;
    position: absolute;
    top: 4px;
    width: 22px;
}

/* Hide error label for iOS */
div.wpforms-container-full .wpforms-form .wpforms-field-checkbox input.wpforms-error {
    border: 0px;
}

/* Custom input */

html.firefox div.wpforms-container-full .wpforms-form li .wpforms-field-label-inline{
    cursor:pointer;
}
html.firefox div.wpforms-container-full .wpforms-form .input_after,
html.firefox div.wpforms-container-full .wpforms-form .input_before{
    pointer-events: none;
}
html.firefox div.wpforms-container-full .wpforms-form .input_after,
div.wpforms-container-full .wpforms-form input[type=checkbox]::after,
div.wpforms-container-full .wpforms-form input[type=radio]::after {
    background-color: var(--checkbox-fill);
    border: 2px solid var(--checkbox-stroke);
    content: "";
    height: 22px;
    left: -2px;
    outline-offset: 8px;
    position: absolute;
    top: -2px;
    width: 22px;
}
html.firefox div.wpforms-container-full .wpforms-form .input_after{
    top: 6px;
}
html.firefox div.wpforms-container-full .wpforms-form input[type=checkbox] ~ .input_after,
div.wpforms-container-full .wpforms-form input[type=checkbox]::after {
    border-radius: 3px;
}
html.firefox div.wpforms-container-full .wpforms-form input[type=radio] ~ .input_after,
div.wpforms-container-full .wpforms-form input[type=radio]::after {
    border-radius: 100px;
}
html.firefox div.wpforms-container-full .wpforms-form input[type=checkbox]:checked ~ .input_after,
div.wpforms-container-full .wpforms-form input[type=checkbox]:checked::after {
    background: var(--form-text) url(/wp-content/uploads/icon-checkmark.svg) no-repeat center;
    background-color: var(--checkbox-stroke);
    background-size: 20px 10px;
    color: var(--checkbox-fill);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 0;
    transform: initial;
}
html.firefox div.wpforms-container-full .wpforms-form input[type=checkbox]:checked ~ .input_after{
padding-bottom: 0px;
}
html.firefox div.wpforms-container-full .wpforms-form input[type=radio]:checked ~ .input_before,
div.wpforms-container-full .wpforms-form input[type=radio]:checked::before {
    position: absolute;
    content: "";
    top: 3px;
    left: 4px;
    height: 14px;
    width: 14px;
    background-color: currentColor;
    border-radius: 100px;
    z-index: 1;
}
html.firefox div.wpforms-container-full .wpforms-form input[type=radio]:checked ~ .input_before{
    top: 12px;
}
/*=============
    Success
==============*/
/* if success message is present, 
sets parent column to space-evenly so message isn't at the top and hidden behind the nav 
when browswer scrolls to top of row  */
.row--form .fl-col-group-equal-height.fl-col-group-align-top .fl-col-content:has(.wpforms-confirmation-container-full) {
    justify-content: end;
    --sticky-header-offset: calc(var(--header-height) + calc(var(--Sizing-Units-2XS) * 2));
}
div[submit-success]>.wpforms-confirmation-container-full:not(.wpforms-redirection-message),
.row--form div.wpforms-container-full .wpforms-confirmation-container-full,
.row--newsletter-signup div.wpforms-container-full .wpforms-confirmation-container-full {
    background: var(--form-success-background-color);
    border: 1px solid var(--form-accent);
    border: none;
    border-radius: 8px;
    color: var(--form-success-color);
    margin: 0;
    padding: 0;
}
.row--form div.wpforms-container-full .wpforms-confirmation-container-full p,
.row--newsletter-signup div.wpforms-container-full .wpforms-confirmation-container-full p {
    color: var(--form-success-color);
    font-size: 22px;
    font-size: 1.38rem;
    text-align: center;
}
div.wpforms-container-full:has(.wpforms-confirmation-container-full) {
    margin: 0;
}
.row--form div.wpforms-container-full .wpforms-confirmation-container-full {
    background: var(--form-success-background-color);
    border: none;
    color: var(--form-success-color);
    margin: 0;
    margin-top: calc(var(--sticky-header-offset) * .5) !important;
    padding: 0;
    padding-bottom: 0 !important;
    padding-top: calc(var(--sticky-header-offset) * .5) !important;
}

body.admin-bar .row--form div.wpforms-container-full .wpforms-confirmation-container-full {
    margin-top: calc(calc(var(--sticky-header-offset) + var(--admin-bar-height)) * .5) !important;
    padding-top: calc(calc(var(--sticky-header-offset) + var(--admin-bar-height)) * .5) !important;
}
.row--form .wpforms-confirmation-container-full > div {
    display: none; /* hide empty nbsp; so confirmation message can be truly justified to the end */
}
.row--form .wpforms-confirmation-container-full p {
    margin-bottom: 0 !important;
}

div.wpforms-container-full .wpforms-form .wpforms-field-label {
    color: var(--form-label);
}
div.wpforms-container-full .wpforms-form .wpforms-required-label {
    color: var(--form-accent);
}

div.wpforms-container-full .wpforms-field.wpforms-field-checkbox ul li input+label, 
div.wpforms-container-full .wpforms-field.wpforms-field-radio ul li input+label, 
div.wpforms-container-full .wpforms-field.wpforms-field-payment-checkbox ul li input+label, 
div.wpforms-container-full .wpforms-field.wpforms-field-payment-multiple ul li input+label, 
div.wpforms-container-full .wpforms-field.wpforms-field-gdpr-checkbox ul li input+label {
    padding-inline-start: 40px;
}


div.wpforms-container-full .wpforms-field.wpforms-field-checkbox ul, 
div.wpforms-container-full .wpforms-field.wpforms-field-radio ul, 
div.wpforms-container-full .wpforms-field.wpforms-field-payment-checkbox ul, 
div.wpforms-container-full .wpforms-field.wpforms-field-payment-multiple ul, 
div.wpforms-container-full .wpforms-field.wpforms-field-gdpr-checkbox ul {
    /* margin: 20px 0 40px; */
    margin: 0;
    gap: 8px;
}
div.wpforms-container-full input[type=checkbox]:focus-visible, 
div.wpforms-container-full input[type=radio]:focus-visible {
    outline: unset;
    outline-width: 2px;
    outline-style: auto;
    outline-offset: 5px;
    outline-color: var(--form-accent);
}
div.wpforms-container-full input[type=checkbox]:checked::before, 
div.wpforms-container-full input[type=radio]:checked::before,
div.wpforms-container-full input[type=checkbox]:focus:before,
div.wpforms-container-full input[type=radio]:focus:before {
     border-style: none;   
     box-shadow: none;
}

div.wpforms-container-full button[type=submit]:hover {
    background: unset;
    background-color: var(--form-btn-background) !important;
    transform: scale(1.05);
}

div.wpforms-container-full input[type=submit], 
div.wpforms-container-full button[type=submit], 
div.wpforms-container-full .wpforms-page-button, 
.wp-core-ui div.wpforms-container-full input[type=submit], 
.wp-core-ui div.wpforms-container-full button[type=submit], 
.wp-core-ui div.wpforms-container-full .wpforms-page-button {
    background-color: var(--form-btn-background) !important;
    border-width: 0 !important;
    color: var(--form-btn-text) !important;
    font-size: 18px;
    font-size: 1.13rem;
    font-weight:bold;
    height:initial;
    line-height: 28px;
    line-height: 1.75rem;
    margin-top: 26px;
    padding: 20px 40px;
    transition: all .25s ease-in-out;

    align-items: center;
    display: flex;
    flex-direction: row;
    gap: var(--Sizing-Units-2XS);

}
div.wpforms-container-full button[type=submit]:focus {
    outline-width: 2px;
    outline-style: auto;
    outline-offset: 5px;
    outline-color: var(--black);
}
/* prevents arrow from being incorrectly positioned by wpforms styles*/
div.wpforms-container-full button[type=submit]:focus:after {
    position: unset;
    border: unset;
    border-radius: unset;
}

.row--newsletter-signup {
    position: relative;
    z-index: 1;    
}
.row--newsletter-signup div.wpforms-container-full .wpforms-form .wpforms-field:not(:last-of-type) {
    margin-bottom: 0px; /* any smaller will noticeably cut off box shadow*/
}
.row--footer-shapes {
    margin-bottom: -26px;
    margin-top: -30px;
    position: relative;
    z-index: 0;    
}
/* TABLET, and down */
@media only screen and (max-width: 992px) {
    .row--footer-shapes {
        margin-bottom: -88px;
        margin-top: -22px;
        position: relative;
        z-index: 0;    
    }
}
/* MOBILE, only */
@media only screen and (max-width: 768px) {
    .row--newsletter-signup div.wpforms-container-full .wpforms-form button[type=submit], 
    .row--newsletter-signup div.wpforms-container-full .wpforms-form button[type=submit]:hover{
        margin-bottom: 26px;
    }
}

/********************/
/*  END   :: Forms  */
/********************/

/*****************************/
/*  START :: Privacy Policy  */
/*****************************/
.privacy-policy .fl-post-header {
    padding-top: 200px;
}
.privacy-policy h2 {
    margin-top: 26px;
    margin-bottom: 16px;
}
/*****************************/
/*  END   :: Privacy Policy  */
/*****************************/

/*****************************/
/*  START :: Search Results  */
/*****************************/
.search-no-results .fl-page-content,
.search-results .fl-page-content {
    background-color: var(--Row-Background);
}
.search-no-results .fl-page-content {
    text-align: center;
}
.search-no-results .fl-page-content form input[type=search]{
    width: 100%;
}
:is(.page,.partner,.people,.supporter) .tags,
:is(.page,.partner,.people,.supporter).tags {
    background-color: var(--Primary-Dark);
    color: var(--white) !important;
}
.fl-post-feed-post {
    border-bottom: none;
    border-top: 1px solid #e6e6e6;
    color: var(--Text-Black);
    display: flex;
    padding: 26px 0;
    margin-bottom: 36px;
}
.fl-post-feed-post.post .postBox {
    max-width: 440px;
    padding-right: 70px;
    width: 100%;
}
.fl-post-feed-post .imgBox {
    flex-basis: 100%;
    width: 100%;
}
.fl-post-feed-post .tags {
    margin-bottom: 16px;
}
.fl-post-feed-post .fl-post-title a {
    color: var(--Primary-Dark);
    font-size: 40px;
    font-size: 2.5rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.fl-post-feed-post .fl-post-title a:hover {
    text-decoration: none;
}
.fl-post-feed-post .fl-post-text {
    align-items: flex-start;
    display: flex;
    flex-direction: column;
    padding: 0;
}
.fl-post-feed-post .fl-post-excerpt {
    margin-top: 26px;
}
.fl-builder-pagination-load-more a.fl-button,
.fl-builder-pagination-load-more a.fl-button:hover {
    background: var(--Teal);
    border: 1px solid var(--Teal);
    border-radius: var(--border-radius-btn);
    padding: var(--btn-padding);
    transition: all .25s ease;
}
.fl-builder-pagination-load-more a.fl-button:hover {
    transform: scale(1.05);
}
.fl-builder-pagination-load-more a.fl-button span {
    color: var(--Text-Black);
    font-size: 20px;
    font-size: 1.25rem;
    font-style: normal;
    font-weight: 400;
    letter-spacing: var(--btn-letter-spacing);
    line-height: normal;    
}
/* TABLET, and down */
@media only screen and (max-width: 992px) {
    .fl-post-feed-post.post .postBox {
        min-width: 380px;
    }
}
/* MOBILE, only */
@media only screen and (max-width: 768px) {
    .fl-post-feed-post.fl-post-feed-image-beside {
        flex-direction: column;
        max-width: 100%;
        margin-bottom: 0;
    }
    .fl-post-feed-post.post .postBox {
        min-width: unset;
        padding-right: 0;
    }
    .fl-post-feed-post .postBox .imgBox {
        margin-bottom: 26px;
    }
    .fl-post-feed-post .fl-post-excerpt {
        margin-top: 16px;
    }
}
/*****************************/
/*  END   :: Search Results  */
/*****************************/